Subject: Re: [PATCH 1/5] phylib: don't create a phydev for ID-less PHYs.

From: Stefan Roese <[email-masked]>
Date: Fri, 11 Apr 2008 10:06:04 +0200

On Friday 11 April 2008, Joakim Tjernlund wrote:
> On Thu, 2008-04-10 at 13:51 -0400, Paul Gortmaker wrote:
> > In addition to marking 0x0 as an invalid PHY ID, I've also
> > changed the existing somewhat useless printk to actually
> > list the bus IDs where it found a PHY so we get a basic
> > bus summary.
>
> PHY ID 0x0 isn't an invalid id, I got a Broadcom PHY that has
> PHY ID=0. Maybe I am misunderstanding something?

IIRC, address 0 is the PHY broadcast address, but can be used without problem 
with some PHY's. I remember some designs were we had the PHY at address 0.

Best regards,
Stefan